---

- name: Установка пакета {{ nas_samba_pkg }}
  apt_rpm:
    package: "{{ nas_samba_pkg }}"
    state: present
    update_cache: yes

- name: Создание разделяемого ресурса Samba
  ansible.builtin.file:
    path: "{{ smb_share }}"
    state: directory
    mode: '0770'
    group: "{{ smb_share_grp }}"

- name: Добавление в конфигурацию Samba данных о разделяемом ресурсе
  ansible.builtin.blockinfile:
    block: "{{ lookup('ansible.builtin.file', '../../group_vars/nas/share.conf') }}"
    path: "{{ smb_conf_file }}"
    backup: yes

- name: Включение служб файлового сервера Samba
  ansible.builtin.systemd:
    name: "{{ item }}"
    enabled: true
    state: restarted
    masked: false
  loop: "{{ nas_samba_service }}"
